Main Page Groups Namespaces

# bound_argument.h File Reference

## Namespaces

namespace | sigc

## Functions

template<class T_action, class T_type>
void | visit_each (const T_action& _A_action, const bound_argument<T_type>& _A_argument)
| Implementation of visit_each() specialized for the bound_argument class.

## Function Documentation

template <class T_action, class T_type>
void sigc::visit_each | ( | const T_action& | _A_action,
|  | const bound_argument<T_type>& | _A_argument
| ) |

Implementation of visit_each() specialized for the bound_argument class.

Call visit_each() on the entity returned by the bound_argument's visit() method. T_action The type of functor to invoke. T_type The type of bound_argument.

Parameters:

  | _A_action | The functor to invoke.
  | _A_argument | The visited instance.